Grants, vesting & distributions
Get Grant Templates
Lists org grant templates with vesting/lockup items and referencing grants flagged for settlements.
GEThttps://api.toku.com/tga/get-grant-templates
Not available to API keys yet. It will need grants:read.
curl --request GET \
--url 'https://api.toku.com/tga/get-grant-templates' \
--header 'Authorization: Bearer <token>'200 response
[
{
"orgID": "string",
"createdAt": "string",
"templateName": "string",
"grantTemplateID": "string",
"templateDescription": "string",
"frequencyType": "string",
"lockupFrequencyType": "string",
"daysBetweenVestingAndFirstLockup": 0,
"lockupStartDate": "string",
"eomLogic": true,
"roundToWholeTokens": true,
"vestingTemplateItems": [
{
"vestingTemplateItemID": "string",
"grantTemplateID": "string",
"orgID": "string",
"ratio": "string",
"sequence": 0,
"isOffPlatform": true,
"timeFrameUnit": 0,
"createdAt": "string",
"preferredDate": "string"
}
],
"lockupTemplateItems": [
{
"lockupTemplateItemID": "string",
"grantTemplateID": "string",
"orgID": "string",
"ratio": "string",
"sequence": 0,
"timeFrameUnit": 0,
"createdAt": "string",
"preferredDate": "string"
}
],
"grants": [
{
"grantName": "string",
"grantID": "string",
"vestings": [
{
"vestingID": "string"
}
],
"lockups": [
{
"lockupID": "string"
}
]
}
]
}
]Authorizations
AuthorizationstringheaderrequiredBearer authentication header of the form Bearer <token>, where <token> is an access token from a Toku sign-in. See Authentication in the API reference.
Query parameters
orgIDstring<uuid>Response
200Successful response
orgIDstring | nullcreatedAtstring | nulltemplateNamestring | nullgrantTemplateIDstring | nulltemplateDescriptionstring | nullfrequencyTypestring | nulllockupFrequencyTypestring | nulldaysBetweenVestingAndFirstLockupnumber | nulllockupStartDatestring | nulleomLogicboolean | nullroundToWholeTokensboolean | nullvestingTemplateItemsarray | nullShow child attributes
vestingTemplateItemIDstring | nullgrantTemplateIDstring | nullorgIDstring | nullratiostring | nullsequencenumber | nullisOffPlatformboolean | nulltimeFrameUnitnumber | nullcreatedAtstring | nullpreferredDatestring | nulllockupTemplateItemsarray | nullShow child attributes
lockupTemplateItemIDstring | nullgrantTemplateIDstring | nullorgIDstring | nullratiostring | nullsequencenumber | nulltimeFrameUnitnumber | nullcreatedAtstring | nullpreferredDatestring | nullgrantsarray | nullShow child attributes
grantNamestring | nullgrantIDstring | nullvestingsarray | nullShow child attributes
vestingIDstring | nulllockupsarray | nullShow child attributes
lockupIDstring | null400Bad request
401Unauthorized
403Forbidden
404Not found
409Conflict
429Response 429
Was this page helpful? Suggest edits